// file: nnode_size_0.cc
//

// isip include files
//
#include "nbest_node.h"
#include "nbest_node_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Nbest_node::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //

  // add the size of all data
  //
  size += sizeof(Lattice_node*);                 // lnode_d
  size += sizeof(Nbest_node*);                   // prev_node_d
  size += sizeof(float_8);                       // path_score_d
  
  // exit gracefully
  //
  return size;
}
